%define srcname oci-cli
%define oci_cli_version 2.7.0

Name: python-oci-cli
Version: %{oci_cli_version}
Release: 1%{?dist}
Url: http://pypi.python.org/pypi/%{srcname}
Summary: Oracle Cloud Infrastructure CLI client
License: Apache2.0
Group: Development/Libraries
#Source:https://github.com/oracle/oci-cli.git
#Source: https://files.pythonhosted.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz
SOURCE: %{srcname}-%{version}.tar.gz
#PATCH0: %{srcname}-setup.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools

#required by OCI-CLI:
Requires: python-oci-sdk == 2.8.0
Requires: python-click >= 6.7
Requires: python-terminaltables >= 3.1.0
Requires: python-retrying >= 1.3.3
Requires: python2-arrow == 0.10.0
Requires: python2-jmespath == 0.9.3
Requires: python2-idna >= 2.5, python2-idna < 2.7
Requires: pyOpenSSL == 18.0.0
Requires: PyYAML == 5.1.2
Requires: python-cx_Oracle == 7.0

#Requires: python-requests >= 2.18.4
#Requires: python-six >= 1.11.0

%description
Python SDK for Oracle Cloud Infrastructure command line client utilities.

%prep
%setup -q -n %{srcname}-%{version}
#patch -p1<%{PATCH0}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=%{buildroot}

sed 5i"import oci" -i %{buildroot}/usr/bin/oci

%clean
#rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{python_sitelib}/oci_cli*
%{python_sitelib}/services/*
%doc README.rst LICENSE.txt

%changelog
* Tue Dec 17 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.7.0-1
- Update to version 2.7.0

* Tue Dec 10 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.15-1
- Update to version 2.6.15

* Tue Nov 26 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.14-1
- Update to version 2.6.14

* Tue Nov 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.13-1
- Update to version 2.6.13

* Wed Nov 13 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.12-1
- Update to version 2.6.12

* Tue Nov 05 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.11-1
- Update to version 2.6.11

* Tue Oct 29 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.10-1
- Update to version 2.6.10

* Wed Oct 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.9-1
- Update to version 2.6.9

* Tue Oct 08 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.8-1
- Update to version 2.6.8

* Tue Oct 01 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.7-1
- Update to version 2.6.7

* Tue Sep 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.6-1
- Update to version 2.6.6

* Tue Sep 17 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.5-1
- Update to version 2.6.5

* Tue Sep 10 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.4-1
- Update to version 2.6.4

* Tue Sep 03 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.3-1
- Update to version 2.6.3

* Tue Aug 27 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.2-1
- Update to version 2.6.2

* Tue Aug 20 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.1-1
- Update to version 2.6.1

* Tue Aug 13 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.6.0-1
- Update to version 2.6.0

* Tue Aug 06 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.22-1
- Update to version 2.5.22

* Tue Jul 30 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.21-1
- Update to version 2.5.21

* Tue Jul 23 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.20-1
- Update to version 2.5.20

* Tue Jul 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.19-1
- Update to version 2.5.19

* Tue Jul 09 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.18-1
- Update to version 2.5.18

* Wed Jul 03 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.17-1.0.1
- Add services/*

* Tue Jul 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.17-1
- Update to version 2.5.17

* Tue Jun 25 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.16-1
- Update to version 2.5.16

* Tue Jun 18 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.15-1
- Update to version 2.5.15

* Tue Jun 11 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.14-1
- Update to version 2.5.14

* Tue Jun 04 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.13-1
- Update to version 2.5.13

* Tue May 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.12-1
- Update to version 2.5.12

* Tue May 21 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.11-1
- Update to version 2.5.11

* Tue May 14 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.10-1
- Update to version 2.5.10

* Tue Apr 16 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.8-1
- Update to version 2.5.8

* Tue Apr 09 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.7-1
- Update to version 2.5.7

* Tue Apr 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.6-1
- Update to version 2.5.6

* Tue Mar 26 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.5-1
- Update to version 2.5.5

* Tue Mar 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.4-1
- Update to version 2.5.4

* Tue Mar 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.3-1
- Update to version 2.5.3

* Thu Feb 28 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.2-1
- Update to version 2.5.2

* Thu Feb 21 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.5.1-1
- Update to version 2.5.1

* Sun Feb 10 2019 Srinivas Maturi <srinivas.matruri@oracle.com> 2.4.44-1.0.2
- Updated dependency for python-cx_Oracle

* Fri Feb 08 2019 John Mcwalters <john.mcwalters@oracle.com> 2.4.44-1.0.1
- Changed Requires: PyYAML == 3.13

* Fri Feb 08 2019 John Mcwalters <john.mcwalters@oracle.com> 2.4.44-1
- Update to version 2.4.44

* Fri Feb 01 2019 Alan Steinberg <alan.steinberg@oracle.com> 2.4.43-1.0.1
- Update to version 2.4.43
- Changed Requires: pyOpenSSL == 18.0.0

* Thu Jan 31 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.4.43-1
- Update to version 2.4.43

* Wed Jan 30 2019 Qing Lin <qing.lin@oracle.com> 2.4.42-2
- Changed Requires: pyOpenSSL == 18.0.0 and python-cx_Oracle >= 7.0

* Thu Jan 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.4.42-1
- Update to version 2.4.42

* Mon Jan 14 2019 Jingdong Lu <jingdong.lu@oracle.com> 2.4.41-1
- Update to version 2.4.41

* Thu Dec 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.40-1.0.1
- Add Requires: pyOpenSSL == 17.5.0

* Thu Dec 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.40-1
- Update to version 2.4.40

* Thu Nov 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.39-1
- Update to version 2.4.39

* Thu Nov 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.38-1
- Update to version 2.4.38

* Thu Nov 01 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.37-1
- Update to version 2.4.37

* Mon Oct 29 2018 Alan Steinberg <alan.steinberg@oracle.com> 2.4.36-1.0.1
- Added explicit dependency on python-cx_Oracle
- Reviewed-by: john.mcwalters@oracle.com

* Fri Oct 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.36-1
- Update to version 2.4.36

* Thu Oct 18 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.35-1
- Update to version 2.4.35

* Thu Oct 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.34-1
- Update to version 2.4.34

* Thu Sep 27 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.33-1
- Update to version 2.4.33

* Thu Sep 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.32-1
- Update to version 2.4.32

* Thu Aug 23 2018 John Mcwalters <john.mcwcalters@oracle.com> 2.4.31-1
- Update to version 2.4.31

* Thu Aug 09 2018 Jacob Wang <jacob.wang@oracle.com> 2.4.30-1.0.1
- Remove dependency of pyOpenSSL

* Thu Aug 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.30-1
- Update to version 2.4.30

* Thu Jul 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.29-1
- Update to version 2.4.29

* Thu Jul 12 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.28-1
- Update to version 2.4.28

* Fri Jun 29 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.27-1
- Update to version 2.4.27

* Fri Jun 15 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.26-1
- Update to version 2.4.26

* Fri Jun 01 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.24-1
- Update to version 2.4.24

* Thu May 17 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.23-1
- Update to version 2.4.23

* Fri May 04 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.22-1
- Update to version 2.4.22

* Thu Apr 19 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.21-1
- Update to version 2.4.21

* Fri Apr 06 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.20-1
- Update to version 2.4.20

* Mon Mar 26 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.19-1
- Update to version 2.4.19

* Thu Mar 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 2.4.18-1
- Update to version 2.4.18

* Fri Feb  23 2018 Qing Lin <qing.lin@oracle.com> - 2.4.17-1
- Updated python-oci-sdk dependency

* Fri Feb  9 2018 Qing Lin <qing.lin@oracle.com> - 2.4.16-2
- Updated python-oci-sdk dependency

* Fri Feb  9 2018 Qing Lin <qing.lin@oracle.com> - 2.4.16-1
- Upgraded to 2.4.15

* Fri Jan 26 2018 Qing Lin <qing.lin@oracle.com> - 2.4.15-1
- Upgraded to 2.4.15

* Mon Oct 16 2017 Qing Lin <qing.lin@oracle.com>
- Added the missing dependent package:python-retrying in spec file.
* Fri Sep 29 2017 Qing Lin <qing.lin@oracle.com>
- complete the dependencies list in  spec file for oci-cli 2.4.9
* Thu Aug 31 2017 Qing Lin <qing.lin@oracle.com>
- update for  spec file for oci-cli 2.4.7
- remove bmcs SDK package from CLI.
* Mon Jun 12 2017 Laszlo (Laca) Peter <laszlo.peter@oracle.com>
- initial spec file for oraclebmc-cli 2.4.4
